Update knowledge-asset scope for one QR magic link
curl --request PUT \
--url https://api.example.com/api/core/use-cases/{use_case_id}/qr-link/magic-links/{token_id}/scope \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge_asset_ids": [
"<string>"
],
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/api/core/use-cases/{use_case_id}/qr-link/magic-links/{token_id}/scope"
payload = {
"knowledge_asset_ids": ["<string>"],
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({knowledge_asset_ids: ['<string>'], expires_at: '2023-11-07T05:31:56Z'})
};
fetch('https://api.example.com/api/core/use-cases/{use_case_id}/qr-link/magic-links/{token_id}/scope', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}use-cases
Update knowledge-asset scope for one QR magic link
Updates permissions for the service account tied to this token. Include expires_at in the JSON body to set or clear time-based expiry; omit the field to leave expiry unchanged.
PUT
/
api
/
core
/
use-cases
/
{use_case_id}
/
qr-link
/
magic-links
/
{token_id}
/
scope
Update knowledge-asset scope for one QR magic link
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I

